Skip to main content
POST
MCA Demo Funding Ingestion

When to Use

Use this endpoint to test MCA ingestion by simulating an inbound funding event for a given transactingMid.
This endpoint is available in the UAT (sandbox) environment only. Do not use it for production traffic.

Authorizations

x-gl-auth
string
header
required

Static API Key generated from the PayGlocal Partner Dashboard.

Path Parameters

transactingMid
string
required

Identifier for the transacting entity.

Body

application/json
currency
string
required

ISO 4217 currency code.

Example:

"USD"

amount
string
required

Funding amount.

Example:

"1"

senderCountry
string
required

ISO country code of the sender.

Example:

"US"

senderName
string
required

Name of the sender.

Example:

"test"

Response

200 - application/json

Demo funding transaction created.

gid
string | null
Example:

null

status
string
Example:

"200 OK"

message
string
Example:

"demo funding transaction created"

timestamp
string
Example:

"01/01/2026 00:00:00"

reasonCode
string
Example:

"GL-201-001"

data
object
errors
object | null
Example:

null